apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "mail-relay.fullname" . }}
  labels:
    {{- include "mail-relay.labels" . | nindent 4 }}
data:
  sasl_passwd: {{- toYaml .Values.config.sasl_passwd | nindent 4 }} 
  transport: {{- toYaml .Values.config.transport | nindent 4 }} 
  update_transport.sh: |
    #!/bin/sh
    postmap lmdb:/etc/postfix/transport
    postconf -e "transport_maps = lmdb:/etc/postfix/transport"
    postmap lmdb:/etc/postfix/sasl_passwd
    postconf -e "smtp_sasl_password_maps = lmdb:/etc/postfix/sasl_passwd"
    postconf -e "smtp_sasl_auth_enable = yes"
    postconf -e "smtp_sasl_security_options = noanonymous"
    postconf -e "smtp_sasl_type = cyrus"
